<?php

define('_CONSTANT_', 1);

require_once '../../core/start.php';

head('Начало', 'Начало');

if ($user['registration'] == 'end') 
{
    success('Вы прошли обучение', '/', 'Войти в Алерот');
} 


/* 
 * Update step;
 */ 
 if (isset($_GET['nextStep']) && $user['registration'] != 'end') 
 {
     if ($user['registration'] == '3') 
     {
         $nextStep = 'end';
     } 
     else 
     {
         $nextStep = ($user['registration'] + 1);
     } 

     DB::$dbs->query("UPDATE " . USERS . " SET `registration` = ? WHERE `id` = ?", [$nextStep, $user['id']]);
     header("Location: ?");
 }
/* 
 * Step 1; - History;
 */
if ($user['registration'] == '1') 
{
    ?> 
    <div class="headerImg"><img src="/img/start/step1.png" height="130px"></div>
    <img src="/img/start/master.png" height="70px"> - Мастер <br/>
    - Приветствую тебя <?=$User->userAnswer($user['id'], 'login')?>. <br/>
    Я нашел тебя на этой поляне 5 минут назад. <br/>
    <a href="<?=HOME?>/modules/start/index.php?nextStep" class="link-touch">- Что со мной случилось? Я ничего не помню...</a>
    <?php
} 
else if ($user['registration'] == '2') 
{
    ?> 
    <div class="headerImg"><img src="/img/start/step1.png" height="130px"></div>
    <img src="/img/start/master.png" height="70px"> - Мастер <br/>
    - Мда... похоже тебе хорошо по башке стукнули.<br/> 
    Ну ничего, я отведу тебя в Алерот. Алерот это большой город на землях Риввелона. К сожалению сейчас на эти земли нависла угроза со стороны тёмных сил. 
    Ходят слухи, что старые некроманты собирают армию, для того чтобы захватить земли Риввелона. Но не тут то было. Король Сэдрик II, сын Азэнора, после смерти своего отца принял в наследство 
    трон Риввелона. И теперь королевская гвардия всячески пытаеться сдержывать тёмные силы. Сейчас кстати идет набор в гвардейцы, и если ты себя хорошо зарекомендуешь, то вероятнее всего тебя примут в их ряды 
    . Но об этом мы поговорим позже. <br/>
    <a href="<?=HOME?>/modules/start/index.php?nextStep" class="link-touch">- Посмотрим...</a>
    <?php
} 
else if ($user['registration'] == '3') 
{
    ?> 
    <div class="headerImg"><img src="/img/start/step1.png" height="130px"></div>
    <img src="/img/start/master.png" height="70px"> - Мастер <br/>
    - Ну что ты готов отправиться в путь?<br/>
    <a href="<?=HOME?>/modules/start/index.php?nextStep" class="link-touch">- Да. Двинули.</a>
    <?php
} 
else 
{
    error('Что-то пошло не так.', '/', 'На главную');
}